<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
    <title>Beers</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
</head>
<body>

<div th:if="${createBeerExceptionMessage}" th:text="${createBeerExceptionMessage}" th:class="${'alert ' + alertClass}"/>
<div th:if="${createdBeerMessage}" th:text="${createdBeerMessage}" th:class="${'alert ' + alertClass}"/>
<div th:if="${editBeerExceptionMessage}" th:text="${editBeerExceptionMessage}" th:class="${'alert ' + alertClass}"/>
<div th:if="${updatedBeerMessage}" th:text="${updatedBeerMessage}" th:class="${'alert ' + alertClass}"/>
<div th:if="${deletedBeerMessage}" th:text="${deletedBeerMessage}" th:class="${'alert ' + alertClass}"/>


<div class="jumbotron jumbotron-fluid">
    <div class="container">
        <img src="https://cdn4.iconfinder.com/data/icons/beer-line/100/l-23-512.png" class="rounded float-right" width="150" height="150"/>
        <h1 class="display-4">Welcome to BeerTag!</h1>
        <p class="lead">Here you can browse and rate beers. Cheers!</p>
    </div>
</div>
<div class="container">
    <div class="row">
        <form sec:authorize="isAuthenticated()" th:action="@{/logout}" method="post">
            <input class="btn btn-primary" type="submit" value="Logout" />
        </form>
        <div sec:authorize="isAnonymous()" class="col-6 offset-3">
            <div class="card">
                <div class="card-body">
                    <p>
                        <i th:if="${param.error}" style="color: red">Wrong username or password.</i>
                        <i th:if="${param.logout}" style="color: aqua">You have been logged out.</i>
                    </p>

                    <!-- Only show this form if user is not authenticated -->
                    <form th:action="@{/authenticate}" method="post">
                        <div class="form-group">
                            <label>Username</label>
                            <input class="form-control" type="text" id="username" name="username" placeholder="Enter username"/>
                        </div>
                        <div class="form-group">
                            <label>Password</label>
                            <input class="form-control" type="password" id="password" name="password" placeholder="Enter password"/>
                        </div>
                        <div class="btn-group" role="group">
                            <button type="submit" class="btn btn-primary">Login</button>
                            <a th:href="@{/register}" type="submit" class="btn btn-link">Register</a>
                        </div>
                    </form>
                </div>
            </div>
            <div sec:authorize="isAuthenticated()">

                <!-- Only show this form if user is authenticated -->
                <div th:if="${addToWantToDrinkListMessage}" th:text="${addToWantToDrinkListMessage}" th:class="${'alert ' + alertClass}"/>
                <div th:if="${addToWantToDrinkListExceptionMessage}" th:text="${addToWantToDrinkListExceptionMessage}" th:class="${'alert ' + alertClass}"/>
                <div th:if="${addToDrankListMessage}" th:text="${addToDrankListMessage}" th:class="${'alert ' + alertClass}"/>
                <div th:if="${addToDrankListExceptionMessage}" th:text="${addToDrankListExceptionMessage}" th:class="${'alert ' + alertClass}"/>
                <div th:if="${addRatingMessage}" th:text="${addRatingMessage}" th:class="${'alert ' + alertClass}"/>
                <div th:if="${createBeerExceptionMessage}" th:text="${createBeerExceptionMessage}" th:class="${'alert ' + alertClass}"/>
                <div th:if="${updatedUserMessage}" th:text="${updatedUserMessage}" th:class="${'alert ' + alertClass}"/>
                <div th:if="${deletedBeerMessage}" th:text="${deletedBeerMessage}" th:class="${'alert ' + alertClass}"/>
            </div>
        </div>
    </div>
    <div sec:authorize="isAuthenticated()">
        <h1>Beers I have already drunk</h1>
        <table class="table">
            <thead>
            <tr>
                <th>Beer name</th>
                <th>Abv</th>
                <th>Description</th>
                <th>Brewery</th>
                <th>Style</th>
                <th>Country</th>
            </tr>
            </thead>
            <tbody>
            <tr th:each="beer : ${beersdrank}">
                <td th:text="${beer.name}"></td>
                <td th:text="${beer.abv}"></td>
                <td th:text="${beer.description}"></td>
                <td th:text="${beer.brewery.brewery}"></td>
                <td th:text="${beer.style.style}"></td>
                <td th:text="${beer.country.country}"></td>
                <td><a th:href="@{beers/getBeerById/{id}(id=${beer.id})}">Details</a></td>
            </tr>
            </tbody>
        </table>
    </div>
    <div sec:authorize="isAuthenticated()">
        <h1>Beers I want to drink</h1>
        <table class="table">
            <thead>
            <tr>
                <th>Beer name</th>
                <th>Abv</th>
                <th>Description</th>
                <th>Brewery</th>
                <th>Style</th>
                <th>Country</th>
            </tr>
            </thead>
            <tbody>
            <tr th:each="beer : ${beerswanttodrink}">
                <td th:text="${beer.name}"></td>
                <td th:text="${beer.abv}"></td>
                <td th:text="${beer.description}"></td>
                <td th:text="${beer.brewery.brewery}"></td>
                <td th:text="${beer.style.style}"></td>
                <td th:text="${beer.country.country}"></td>
                <td><a th:href="@{beers/getBeerById/{id} (id=${beer.id})}">Details</a></td>
                <td><a th:href="@{deleteWishesBeers/{beerid} (beerid=${beer.id})}">Delete</a></td>
            </tr>
            </tbody>
        </table>
    </div>
    <div sec:authorize="isAuthenticated()">
        <h1>All beers</h1>
        <a class="btn btn-link" type="submit" th:href="@{createBeer}">Create beer</a>
        <nav class="navbar navbar-expand-lg navbar-light bg-light">
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarNav">
                <ul class="navbar-nav">
                    <form class="nav-item" th:action="@{/beers}" method="get">
                        <label>Sort By</label>
                        <input type="text" id="sortBy" name="sortBy"/>
                        <br/>
                        <input type="submit" value="Sort"/>
                    </form>
                    <form class="nav-item" th:action="@{/beers}" method="get">
                        <label>Country Filter:</label>
                        <input type="text" id="countryFilter" name="country"/>
                        <br/>
                        <input type="submit" value="Filter">
                    </form>
                    <form class="nav-item" th:action="@{/beers}" method="get">
                        <label>Style Filter:</label>
                        <input type="text" id="styleFilter" name="style"/>
                        <br/>
                        <input type="submit" value="Filter">
                    </form>
                    <form class="nav-item" th:action="@{/beers}" method="get">
                        <label>Tag Filter:</label>
                        <input type="text" id="tagFilter" name="tag"/>
                        <br/>
                        <input type="submit" value="Filter">
                    </form>
                    <form class="nav-item" th:action="@{/beers}" method="get">
                        <input type="submit" value="Clear">
                    </form>
                </ul>
            </div>
        </nav>
    </div>
    <div>
        <table class="table">
            <thead>
            <tr>
                <th>Beer name</th>
                <th>Abv</th>
                <th>Style</th>
                <th>Country</th>
                <th>Average Rating</th>
                <th sec:authorize="isAuthenticated()">Add Rating</th>
                <th sec:authorize="isAuthenticated()">Add Tag</th>
            </tr>
            </thead>
            <tbody>
            <tr th:each="beer : ${beers}">
                <td th:text="${beer.name}"></td>
                <td th:text="${beer.abv}"></td>
                <td th:text="${beer.style.style}"></td>
                <td th:text="${beer.country.country}"></td>
                <div th:switch="${beer.averageRating == 0} ? ${true} : ${false}">
                    <td th:case="${true}">No ratings</td>
                    <td th:case="${false}" th:text="${#numbers.formatDecimal(beer.averageRating, 0, 2)}"></td>
                </div>
                <td sec:authorize="isAuthenticated()">
                    <form th:action="@{addRating/{beerid}/(beerid=${beer.id})}" method="put">
                        <select id="rat" name="rating">
                            <option th:each="i : ${#numbers.sequence(1, 5)}" th:value="${i}" th:text="${i}">
                        </select>
                        <input type="submit" value="Rate" text="submit"/>
                    </form>
                </td>
                <td sec:authorize="isAuthenticated()">
                    <form action="#" th:action="@{addTag/{beerid}/(beerid=${beer.id})}" method="put">
                        <input type="text" class="form-control" name="tag" />
                        <input type="submit" value="Add" text="submit"/>
                    </form>
                </td>
                <td><a th:href="@{beers/getBeerById/{id}(id=${beer.id})}">Details</a></td>
                <td sec:authorize="isAuthenticated()"><a th:href="@{addToDrankList/{beerid}(beerid=${beer.id})}">Add To Drank</a></td>
                <td sec:authorize="isAuthenticated()"><a th:href="@{addToWantToDrinkList/{beerid}(beerid=${beer.id})}">Add To Want To Drink</a></td>
                <td sec:authorize="hasRole('ROLE_ADMIN')"><a th:href="@{editBeer/{id}(id=${beer.id})}">Edit beer</a></td>
                <td sec:authorize="hasRole('ROLE_ADMIN')"><a th:href="@{deleteBeer/{id}(id=${beer.id})}">Delete beer</a></td>
            </tr>
            </tbody>
        </table>
    </div>
</div>
</body>
</html>
